Subject: bug#40061: closed (Re: [bug#40061] Allow double-click select of URL in status)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 07 Apr 2020 20:35:02 +0000

Your bug report

#40061: Allow double-click select of URL in status

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
40061: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=40061
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#40061] Allow double-click select of URL in status
From: Tom Zander <[email-masked]>
To: Vincent Legoll <[email-masked]>, [email-masked], Marius Bakke <[email-masked]>
Date: Tue, 07 Apr 2020 22:33:47 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On dinsdag 7 april 2020 22:00:33 CEST Marius Bakke wrote:
> Vincent Legoll <[email-masked]> writes:
> > LGTM, except maybe the following change to the
> > commit msg:
> > 
> > This change makes the URL be easier to be used
> > =>
> > This change makes the URL easier to use
> > 
> > But that may not warrant a new patch submission,
> > though, as the committer may do it himself...
> 
> Whoops, I committed this without seeing this comment, oh well!
> 
> Pushed in 9f1b787120b1b81abffaf0fa13fdbdf4cca39f2d.

No worries, I actually used Vincent's suggested words in the rebase, which is 
the patch you applied. 

-- 
Tom Zander

Subject: Allow double-click select of URL in status
From: Tom Zander <[email-masked]>
To: [email-masked]
Date: Sat, 14 Mar 2020 15:01:03 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

While I've been playing with guix today I found this rather trivial patch
to be nice. Nice enough to maybe start, even though I'm still waiting for some 
compiles I'll submit this trivial patch untested.

Lets see how the social (as opposed to technical) part works.

Is this patch Ok?
-- 
Tom Zander

>From ab690e91f177e0e3efa557fc9ac72ebbc89cb0ad Mon Sep 17 00:00:00 2001
From: TomZ <[email-masked]>
Date: Sat, 14 Mar 2020 14:36:28 +0100
Subject: [PATCH] Allow double-click select of URL in status

The status during an install prints download-targets.
This adds a space between the URL and the '...' string trailing it
so on a terminal you can just double click on the URL to select it.
---
 guix/status.scm | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/guix/status.scm b/guix/status.scm
index cbea4151f2..a39d91e0dc 100644
--- a/guix/status.scm
+++ b/guix/status.scm
@@ -517,7 +517,7 @@ addition to build events."
        (newline port)))
     (('download-started item uri _ ...)
      (erase-current-line*)
-     (format port (info (G_ "downloading from ~a...")) uri)
+     (format port (info (G_ "downloading from ~a ...")) uri)
      (newline port))
     (('download-progress item uri
                          (= string->number size)
-- 
2.25.1